Bug 457663 - File conflict with sitecopy
Summary: File conflict with sitecopy
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: man-pages-fr
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alain Portal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-03 05:24 UTC by Rakesh Pandit
Modified: 2008-09-16 23:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-15 11:11:29 UTC
Type: ---


Attachments (Terms of Use)
patch for french man page translation (15.16 KB, patch)
2008-08-04 17:53 UTC, Alain Portal
no flags Details | Diff

Description Rakesh Pandit 2008-08-03 05:24:59 UTC
Description of problem:

man-pages-fr-2.80.0-2.fc10.noarch has file conflict with sitecopy-0.16.5-1.fc10.i386

File:     /usr/share/man/fr/man1/sitecopy.1.gz

Comment 1 Rakesh Pandit 2008-08-03 05:26:34 UTC
I am sitecopy maintainer. What would be best in your view: to remove file from sitecopy or man-pages-fr ?

Comment 2 Alain Portal 2008-08-04 15:50:08 UTC
Of course, the better place for the translation of a man page is in the upstream tarball.
And translators will be happy if upstream say "Hey translators! $PACKAGE man page(s) have been updated, could you please update your translation?"
And of course, upstream have to let time enough to translators...
At least 48H, a week is a good time.
I'm the french man-pages maintainer (http://manpagesfr.free.fr), I also maintain some other french man-pages.

Could you please give me an URL for your last tarball?
I want to be sure the french man page you provide is the last translation.

As a sample, https://bugzilla.redhat.com/show_bug.cgi?id=455277, french man page provided by rpm is older than the one provided by man-pages-fr, which is 6 years old.......

Comment 3 Rakesh Pandit 2008-08-04 16:39:25 UTC
I agree with you completely, But I think as you already own this file in package please keep it (and update if necessary) and I will remove file from sitecopy.

Thanks for quick response.
http://www.manyfish.co.uk/sitecopy/sitecopy-0.16.6.tar.gz is latest tarball.

It is the latest source. May you verify which one is whether man-pages-fr has latest man page or not. 

What say? If you confirm we close this bug then?

Comment 4 Rakesh Pandit 2008-08-04 17:45:57 UTC
Aaah!

Sorry, I seem to have messed it up. Please remove file from your package so that rawhide conflict is solved ASAP. I agree with you that file should be in tarball itself.

Please confirm?

Thanks.

Comment 5 Alain Portal 2008-08-04 17:53:16 UTC
Created attachment 313388 [details]
patch for french man page translation

Comment 6 Alain Portal 2008-08-04 17:54:06 UTC
(In reply to comment #3)
> I agree with you completely, But I think as you already own this file in
> package please keep it (and update if necessary) and I will remove file from
> sitecopy.

No! I don't agree!
As I said, the good place for a man page translation is the upstream package!

> Thanks for quick response.
> http://www.manyfish.co.uk/sitecopy/sitecopy-0.16.6.tar.gz is latest tarball.
> 
> It is the latest source. May you verify which one is whether man-pages-fr has
> latest man page or not. 

I just checked the two pages, differences are poor but the diff is big ;-)
Big because there are some uneeded trailing space and white lines in the french man pages you hold.
The only real differences are at lines 7 and 493-495 of the diff file.
You should apply in the english man pages the changes I made in the SEE ALSO section (lines 493-495 in the diff)

> What say? If you confirm we close this bug then?

I (or my subsitute) will close this bug as this is a man-pages-fr bug, not a sitecopy bug.

Comment 7 Alain Portal 2008-08-04 18:07:58 UTC
(In reply to comment #4)
> Aaah!
> 
> Sorry, I seem to have messed it up. Please remove file from your package so
> that rawhide conflict is solved ASAP. I agree with you that file should be in
> tarball itself.
> 
> Please confirm?

Yes!
sitecopy man page will be removed from man-pages-fr.
By me or my subsitute, but no ASAP ;-)
This isn't easy to find a subsitute to Zidane :-D

Comment 8 Rakesh Pandit 2008-08-04 18:33:43 UTC
Please take your time. I feel I was drunk when I responded initially :-D

Thanks ;-) for patch, I will send upstream, changes required for English man page.

Comment 9 Rakesh Pandit 2008-08-04 18:39:48 UTC
*typo
I will send English and fr man pages as suggested by you upstream. :-)

Comment 10 Fedora Update System 2008-09-15 17:53:18 UTC
man-pages-fr-2.80.0-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/man-pages-fr-2.80.0-5.fc9

Comment 11 Fedora Update System 2008-09-15 17:57:37 UTC
man-pages-fr-2.80.0-5.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/man-pages-fr-2.80.0-5.fc8

Comment 12 Fedora Update System 2008-09-16 23:27:39 UTC
man-pages-fr-2.80.0-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2008-09-16 23:28:01 UTC
man-pages-fr-2.80.0-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.